<mat-stepper [linear]="false" #stepper>
    <mat-step [stepControl]="form1">
        <form [formGroup]="form1" autocomplete="off" style="padding: 20px">
            <ng-template matStepLabel>
                Datos
            </ng-template>

            <div class="row">
                <div class="col-md-3">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Documento de Identidad : </mat-label>
                        <input matInput type="text" placeholder="documento identidad" formControlName="documento_identidad" readonly>

                        <mat-error *ngIf="form1.controls['documento_identidad'].hasError('required')" class="form-control-feedback">
                            Número documento es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Complemento : </mat-label>
                        <input matInput type="text" placeholder="Complemento" formControlName="complemento">

                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Expedición : </mat-label>
                        <mat-select formControlName="expedicion">
                            <mat-option value="">-- Seleccione --</mat-option>
                            <mat-option value="BENI">BENI</mat-option>
                            <mat-option value="CHUQUISACA">CHUQUISACA</mat-option>
                            <mat-option value="COCHABAMBA">COCHABAMBA</mat-option>
                            <mat-option value="EXTRANJERO">EXTRANJERO</mat-option>
                            <mat-option value="LA PAZ">LA PAZ</mat-option>
                            <mat-option value="ORURO">ORURO</mat-option>
                            <mat-option value="PANDO">PANDO</mat-option>
                            <mat-option value="POTOSI">POTOSÍ</mat-option>
                            <mat-option value="SANTA CRUZ">SANTA CRUZ</mat-option>
                            <mat-option value="TARIJA">TARIJA</mat-option>
                        </mat-select>

                        <mat-error *ngIf="form1.controls['expedicion'].hasError('required')" class="form-control-feedback">
                            Expedición es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field appearance="fill">
                        <mat-label>Expiración Documento</mat-label>
                        <input matInput 
                            [matDatepicker]="fecha_expiracion"
                            datePickerFormat="DD/MM/YYYY"
                            formControlName="expiracion_documento">

                            <mat-datepicker-toggle matSuffix [for]="fecha_expiracion"></mat-datepicker-toggle>
                            <mat-datepicker #fecha_expiracion></mat-datepicker>
                        <mat-error *ngIf="form1.controls['expiracion_documento'].hasError('required')" class="form-control-feedback">
                            Expiración Documento es requerida
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Nombre : </mat-label>
                        <input matInput type="text" placeholder="Nombre" oninput="this.value = this.value.toUpperCase()" formControlName="nombre">

                        <mat-error *ngIf="form1.controls['nombre'].hasError('required')" class="form-control-feedback">
                            Nombre es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Apellido Paterno : </mat-label>
                        <input matInput type="text" placeholder="Apellido Paterno" oninput="this.value = this.value.toUpperCase()" formControlName="apellido_paterno">

                        <mat-error *ngIf="form1.controls['apellido_paterno'].hasError('required')" class="form-control-feedback">
                            Apellido Paterno es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Apellido Materno : </mat-label>
                        <input matInput type="text" placeholder="Apellido Materno" oninput="this.value = this.value.toUpperCase()" formControlName="apellido_materno">

                        <mat-error *ngIf="form1.controls['apellido_materno'].hasError('required')" class="form-control-feedback">
                            Apellido Materno es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha de Nacimiento</mat-label>
                        <input matInput 
                            [matDatepicker]="fecha_nacimiento"
                            datePickerFormat="DD/MM/YYYY"
                            formControlName="fecha_nacimiento">

                            <mat-datepicker-toggle matSuffix [for]="fecha_nacimiento"></mat-datepicker-toggle>
                            <mat-datepicker #fecha_nacimiento></mat-datepicker>

                        <mat-error *ngIf="form1.controls['fecha_nacimiento'].hasError('required')" class="form-control-feedback">
                            Fecha de Nacimiento es requerida
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Género : </mat-label>
                        <mat-select formControlName="genero">
                            <mat-option value="">-- Seleccione --</mat-option>
                            <mat-option value="Femenino">Femenino</mat-option>
                            <mat-option value="Masculino">Masculino</mat-option>
                        </mat-select>

                        <mat-error *ngIf="form1.controls['genero'].hasError('required')" class="form-control-feedback">
                            Género es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Estado Civil : </mat-label>
                        <mat-select formControlName="estado_civil">
                            <mat-option value="">-- Seleccione --</mat-option>
                            <mat-option value="Soltero(a)">Soltero(a)</mat-option>
                            <mat-option value="Casado(a)">Casado(a)</mat-option>
                            <mat-option value="Divorciado(a)">Divorciado(a)</mat-option>
                            <mat-option value="Viudo(a)">Viudo(a)</mat-option>
                        </mat-select>

                        <mat-error *ngIf="form1.controls['estado_civil'].hasError('required')" class="form-control-feedback">
                            Estado Civil es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">
                <div class="col-md-3">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Teléfono Fijo : </mat-label>
                        <input matInput type="text" placeholder="Teléfono Fijo" formControlName="telefono_fijo">

                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Celular : </mat-label>
                        <input matInput type="text" placeholder="Celular" formControlName="telefono_movil">

                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>NIT : </mat-label>
                        <input matInput type="text" placeholder="NIT" formControlName="nit">

                    </mat-form-field>
                </div>
                <div class="col-md-6" hidden>
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Correo Electrónico : </mat-label>
                        <input matInput type="text" placeholder="Correo Electrónico" formControlName="correo_electronico">

                        <mat-error *ngIf="form1.controls['estado_civil'].hasError('required')" class="form-control-feedback">
                            Correo Electrónico es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>            
           
            <div class="row">
                <div class="col-md-4">

                </div>
                <div class="col-md-4">
                    <button mat-button color="primary" class="w-100" appearance="fill"
                        (click)="guardarDatos()">Guardar Datos Personales</button>
                </div>
                <div class="col-md-4">
                    <button mat-button color="info" matStepperNext class="w-100" appearance="fill">Siguiente </button>                    
                </div>
            </div>
        </form>
    </mat-step>

    <mat-step [stepControl]="form2">
        <form [formGroup]="form2" autocomplete="off">
            <ng-template matStepLabel>Ubicación</ng-template>
            <div class="row">
                <h2>Datos del Domicilio del Ciudadano</h2>
            </div>
            <div class="row">
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Lugar de Residencia : </mat-label>
                        <mat-select formControlName="residencia">
                            <mat-option value="">-- Seleccione --</mat-option>
                            <mat-option value="MUNICIPIO DE SC.">Municipio de Santa Cruz</mat-option>
                            <mat-option value="OTRO MUNICIPIO">Otro Municipio</mat-option>
                        </mat-select>

                        <mat-error *ngIf="form2.controls['residencia'].hasError('required')" class="form-control-feedback">
                            Lugar de Residencia es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Tipo de Lugar : </mat-label>
                        <mat-select formControlName="tipo_lugar">
                            <mat-option value="">-- Seleccione --</mat-option>
                            <mat-option value="AVENIDA">AVENIDA</mat-option>
                            <mat-option value="CALLE">CALLE</mat-option>
                            <mat-option value="PASAJE">PASAJE</mat-option>
                            <mat-option value="PLAZA">PLAZA</mat-option>
                            <mat-option value="URBANIZACIÓN">URBANIZACIÓN</mat-option>
                            <mat-option value="NO DEFINIDO">NO DEFINIDO</mat-option>
                        </mat-select>

                        <mat-error *ngIf="form2.controls['tipo_lugar'].hasError('required')" class="form-control-feedback">
                            Tipo de Lugar es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>

            <div class="row">                       
                <div class="col-md-8">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Nombre del Lugar : </mat-label>
                        <input matInput type="text" placeholder="Nombre del Lugar" formControlName="nombre_lugar">

                        <mat-error *ngIf="form2.controls['nombre_lugar'].hasError('required')" class="form-control-feedback">
                            Nombre del Lugar es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-md-4">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Número de casa : </mat-label>
                        <input matInput type="text" placeholder="Número de casa o (S/N) sin número" formControlName="numero_casa">

                        <mat-error *ngIf="form2.controls['numero_casa'].hasError('required')" class="form-control-feedback">
                            Número de casa es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            
            <div class="row">
                <div class="col-md-12">
                    <mat-form-field class="w-100" appearance="fill">
                        <mat-label>Dirección Descriptiva : </mat-label>
                        <input matInput type="text" placeholder="Referencia adicional del domicilio" formControlName="direccion_descriptiva">

                        <mat-error *ngIf="form2.controls['direccion_descriptiva'].hasError('required')" class="form-control-feedback">
                            Dirección descriptiva es obligatoria
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    Por favor seleccione la ubicación actual de su domicilio en el mapa
                </div>
                <div id="map" name="map" style="height: 80vh; width: 80vh" leaflet (leafletMapReady)="onMapReady($event)" (leafletClick)="agregarMarcadorJurisdiccion($event)" [leafletOptions]="options"></div>

                <!--<div id="map_export" name="map_export" style="height: 200px; width:200px;" leaflet (leafletMapReady)="onMapReady1($event)" [leafletOptions]="options1"></div>-->



            </div>

            <div class="row">
                <div class="col-md-4">
                    <button mat-button color="info" matStepperPrevious class="w-100" appearance="fill">Anterior</button>
                </div>
                <div class="col-md-4">
                    <button mat-button color="primary" class="w-100" appearance="fill"
                        (click)="guardarUbicacion()">Guardar Datos Domicilio</button>
                </div>
                <div class="col-md-4">
                    <button mat-button color="info" matStepperNext class="w-100" appearance="fill">Siguiente </button>                    
                </div>
            </div>
        </form>
    </mat-step>
    <mat-step [stepControl]="form3">
        <form [formGroup]="form3" autocomplete="off" style="padding:20px">
            <ng-template matStepLabel>Fotografías</ng-template>
            <h2>Fotografías del ciudadano</h2>
            <div class="row">
                <div class="col-md-4">
                    <b>Fotografía</b>
                    <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect($event)">
                        <ngx-dropzone-label>
                            <div>
                                <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                            </div>
                        </ngx-dropzone-label>
                        <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
        
                        </ngx-dropzone-image-preview>
                    </div>
                </div>
                <div class="col-md-4">
                    <b>Doc. Identidad (Anverso)</b>
                    <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect2($event)">
                        <ngx-dropzone-label>
                            <div>
                                <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                            </div>
                        </ngx-dropzone-label>
                        <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files2" [file]="f" [removable]="true" (removed)="onRemove2(f)">
        
                        </ngx-dropzone-image-preview>
                    </div>
                </div>
                <div class="col-md-4">
                    <b>Doc. Identidad (Reverso)</b>
                    <div class="custom-dropzone" ngx-dropzone [accept]="'image/*'" (change)="onSelect3($event)">
                        <ngx-dropzone-label>
                            <div>
                                <h2>Arrastre el archivo aquí, también puede seleccionar la fotografía</h2>
                            </div>
                        </ngx-dropzone-label>
                        <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files3" [file]="f" [removable]="true" (removed)="onRemove3(f)">
        
                        </ngx-dropzone-image-preview>
                    </div>
                </div>
            </div>
        
            <br>
        
            <div class="row">
                <div class="col-md-4">
                    <button mat-button color="info" matStepperPrevious class="w-100" appearance="fill">Anterior</button>
                </div>
                <div class="col-md-4">
                    <button mat-button color="primary" class="w-100" appearance="fill"
                        (click)="guardarFotos()">Guardar Fotos</button>
                </div>
                <div class="col-md-4">
                    
                </div>
            </div>
        </form>
    </mat-step>
</mat-stepper>

